#ifndef _RECPT1_H_
#define _RECPT1_H_

char	*bsdev[2] = {
	"/dev/pt1video1",
	"/dev/pt1video0"
};
char	*isdb_t_dev[2] = {
	"/dev/pt1video2",
	"/dev/pt1video3"
};

#define CHTYPE_SATELLITE	0		// ǥ
#define CHTYPE_GROUND		1		// Ͼǥ
#define MAX_QUEUE		8192
#define MAX_READ_SIZE	(1024 * 16)
#define WRITE_SIZE	(1024 * 1024 * 2)
#define TRUE	1
#define FALSE	0

typedef struct _BUFSZ {
    int size;
    u_char buffer[MAX_READ_SIZE];
} BUFSZ;

typedef struct _QUEUE_T {
    unsigned int		in;		// 륤ǥå
    unsigned int		out;		// ˽Фǥå
    unsigned int		size;		// 塼Υ
    unsigned int		no_full;	// ˤʤ 0 ˤʤ
    unsigned int		no_empty;	// äݤˤʤ 0 ˤʤ
    pthread_mutex_t	mutex;
    pthread_cond_t	cond_full;	// ǡΤȤԤĤ cond
    pthread_cond_t	cond_empty;	// ǡΤȤԤĤ cond
    BUFSZ			*buffer[1];	// Хåեݥ
} QUEUE_T;

typedef struct _ISDB_T_FREQ_CONV_TABLE {
    int	set_freq;	// ºݤioctl()Ԥ
    int	type;		// ͥ륿
    int	add_freq;	// ɲäȿ(BS/CSξϥåֹ)
    char	*parm_freq;	// ѥ᡼Ǽ
} ISDB_T_FREQ_CONV_TABLE;

// Ѵơ֥(ISDB-T)
// ºݤioctl()ԤͤʬREADME򻲾Ȥλ
// BS/CSͤӥåֹ
// http://www5e.biglobe.ne.jp/~kazu_f/digital-sat/index.html
//

ISDB_T_FREQ_CONV_TABLE	isdb_t_conv_table[] = {
	{   0, CHTYPE_SATELLITE, 0, "151"},	// 151chBSī
	{   0, CHTYPE_SATELLITE, 1, "161"},	// 161chBS-i
	{   1, CHTYPE_SATELLITE, 0, "191"},	// 191chWOWOW
	{   1, CHTYPE_SATELLITE, 1, "171"},	// 171chBSѥ
	{   4, CHTYPE_SATELLITE, 0, "211"},	// 211chBS11ǥ
	{   4, CHTYPE_SATELLITE, 1, "200"},	// 200chͥ
	{   4, CHTYPE_SATELLITE, 2, "222"},	// 222chTwellV
	{   6, CHTYPE_SATELLITE, 0, "141"},	// 141chBSƥ
	{   6, CHTYPE_SATELLITE, 1, "181"}, // 181chBSե
	{   7, CHTYPE_SATELLITE, 0, "101"},	// 101chNHK1(BS1)
	{   7, CHTYPE_SATELLITE, 0, "102"},	// 102chNHK2(BS2)
	{   7, CHTYPE_SATELLITE, 1, "103"}, // 103chNHKϥӥ(BShi)
	{  12, CHTYPE_SATELLITE, 0, "CS2"},	// ND2237chͥ ץ饹 239chܱǲͥHD 306chեƥCSHD
	{  13, CHTYPE_SATELLITE, 0, "CS4"},	// ND4100che2ץ 256chJ sports ESPN 312chFOX 322chڡTV 331chȥ ͥåȥ 194ch󥿡TV 334chȥ󡦥ǥˡ
	{  14, CHTYPE_SATELLITE, 0, "CS6"},	// ND6221chǥͥ 222ch 223chͥNECO 224chβͥե롦ޥ 292chͥ 238chͥ 饷å 310chѡɥTV 311chAXN 343chʥʥ եå ͥ
	{  15, CHTYPE_SATELLITE, 0, "CS8"},	// ND8055chå ͥ
	{  16, CHTYPE_SATELLITE, 0, "CS10"},	// ND10228chͥ 800chHD800 801ch801 802ch802
	{  17, CHTYPE_SATELLITE, 0, "CS12"},	// ND12260chաͥ 303chƥīͥ 323chMTV 324chͤβTVߥ塼å 352chī˥塼 353chBBCɥ˥塼 354chCNNj 361ch㥹ȡ ե᡼
	{  18, CHTYPE_SATELLITE, 0, "CS14"},	// ND14251chJ sports 1 252chJ sports 2 253chJ sports Plus 254chGAORA 255chA sports
	{  19, CHTYPE_SATELLITE, 0, "CS16"},	// ND16305chͥ 333ch˥᥷X(AT-X) 342chҥȥ꡼ͥ 290chTAKARAZUKA SKY STAGE 803ch803 804ch804
	{  20, CHTYPE_SATELLITE, 0, "CS18"},	// ND18240chࡼӡץ饹HD 262chեͥåȥ 314chLaLa HDHV
	{  21, CHTYPE_SATELLITE, 0, "CS20"},	// ND20258chեƥ739 302chեƥ721 332ch˥ޥå 340chǥХ꡼ͥ 341ch˥ޥץͥå
	{  22, CHTYPE_SATELLITE, 0, "CS22"},	// ND22160chC-TBS륫ͥ 161chQVC 185chץ饤365.TV 293chեߥ꡼ 301chTBSͥ 304chǥˡͥ 325chMUSIC ON! TV 330chåơ 351chTBS˥塼С
	{  23, CHTYPE_SATELLITE, 0, "CS24"},	// ND24257chƥG+ 291chfashiontv 300chƥץ饹 320ch¤餮βڤʡߥ塼åTV 321chMusic Japan TV 350chƥNEWS24
	{   0, CHTYPE_GROUND, 0,   "1"}, {   1, CHTYPE_GROUND, 0,   "2"},
	{   2, CHTYPE_GROUND, 0,   "3"}, {   3, CHTYPE_GROUND, 0, "C13"},
	{   4, CHTYPE_GROUND, 0, "C14"}, {   5, CHTYPE_GROUND, 0, "C15"},
	{   6, CHTYPE_GROUND, 0, "C16"}, {   7, CHTYPE_GROUND, 0, "C17"},
	{   8, CHTYPE_GROUND, 0, "C18"}, {   9, CHTYPE_GROUND, 0, "C19"},
	{  10, CHTYPE_GROUND, 0, "C20"}, {  11, CHTYPE_GROUND, 0, "C21"},
	{  12, CHTYPE_GROUND, 0, "C22"}, {  13, CHTYPE_GROUND, 0,   "4"},
	{  14, CHTYPE_GROUND, 0,   "5"}, {  15, CHTYPE_GROUND, 0,   "6"},
	{  16, CHTYPE_GROUND, 0,   "7"}, {  17, CHTYPE_GROUND, 0,   "8"},
	{  18, CHTYPE_GROUND, 0,   "9"}, {  19, CHTYPE_GROUND, 0,  "10"},
	{  20, CHTYPE_GROUND, 0,  "11"}, {  21, CHTYPE_GROUND, 0,  "12"},
	{  22, CHTYPE_GROUND, 0, "C23"}, {  23, CHTYPE_GROUND, 0, "C24"},
	{  24, CHTYPE_GROUND, 0, "C25"}, {  25, CHTYPE_GROUND, 0, "C26"},
	{  26, CHTYPE_GROUND, 0, "C27"}, {  27, CHTYPE_GROUND, 0, "C28"},
	{  28, CHTYPE_GROUND, 0, "C29"}, {  29, CHTYPE_GROUND, 0, "C30"},
	{  30, CHTYPE_GROUND, 0, "C31"}, {  31, CHTYPE_GROUND, 0, "C32"},
	{  32, CHTYPE_GROUND, 0, "C33"}, {  33, CHTYPE_GROUND, 0, "C34"},
	{  34, CHTYPE_GROUND, 0, "C35"}, {  35, CHTYPE_GROUND, 0, "C36"},
	{  36, CHTYPE_GROUND, 0, "C37"}, {  37, CHTYPE_GROUND, 0, "C38"},
	{  38, CHTYPE_GROUND, 0, "C39"}, {  39, CHTYPE_GROUND, 0, "C40"},
	{  40, CHTYPE_GROUND, 0, "C41"}, {  41, CHTYPE_GROUND, 0, "C42"},
	{  42, CHTYPE_GROUND, 0, "C43"}, {  43, CHTYPE_GROUND, 0, "C44"},
	{  44, CHTYPE_GROUND, 0, "C45"}, {  45, CHTYPE_GROUND, 0, "C46"},
	{  46, CHTYPE_GROUND, 0, "C47"}, {  47, CHTYPE_GROUND, 0, "C48"},
	{  48, CHTYPE_GROUND, 0, "C49"}, {  49, CHTYPE_GROUND, 0, "C50"},
	{  50, CHTYPE_GROUND, 0, "C51"}, {  51, CHTYPE_GROUND, 0, "C52"},
	{  52, CHTYPE_GROUND, 0, "C53"}, {  53, CHTYPE_GROUND, 0, "C54"},
	{  54, CHTYPE_GROUND, 0, "C55"}, {  55, CHTYPE_GROUND, 0, "C56"},
	{  56, CHTYPE_GROUND, 0, "C57"}, {  57, CHTYPE_GROUND, 0, "C58"},
	{  58, CHTYPE_GROUND, 0, "C59"}, {  59, CHTYPE_GROUND, 0, "C60"},
	{  60, CHTYPE_GROUND, 0, "C61"}, {  61, CHTYPE_GROUND, 0, "C62"},
	{  62, CHTYPE_GROUND, 0, "C63"}, {  63, CHTYPE_GROUND, 0,  "13"},
	{  64, CHTYPE_GROUND, 0,  "14"}, {  65, CHTYPE_GROUND, 0,  "15"},
	{  66, CHTYPE_GROUND, 0,  "16"}, {  67, CHTYPE_GROUND, 0,  "17"},
	{  68, CHTYPE_GROUND, 0,  "18"}, {  69, CHTYPE_GROUND, 0,  "19"},
	{  70, CHTYPE_GROUND, 0,  "20"}, {  71, CHTYPE_GROUND, 0,  "21"},
	{  72, CHTYPE_GROUND, 0,  "22"}, {  73, CHTYPE_GROUND, 0,  "23"},
	{  74, CHTYPE_GROUND, 0,  "24"}, {  75, CHTYPE_GROUND, 0,  "25"},
	{  76, CHTYPE_GROUND, 0,  "26"}, {  77, CHTYPE_GROUND, 0,  "27"},
	{  78, CHTYPE_GROUND, 0,  "28"}, {  79, CHTYPE_GROUND, 0,  "29"},
	{  80, CHTYPE_GROUND, 0,  "30"}, {  81, CHTYPE_GROUND, 0,  "31"},
	{  82, CHTYPE_GROUND, 0,  "32"}, {  83, CHTYPE_GROUND, 0,  "33"},
	{  84, CHTYPE_GROUND, 0,  "34"}, {  85, CHTYPE_GROUND, 0,  "35"},
	{  86, CHTYPE_GROUND, 0,  "36"}, {  87, CHTYPE_GROUND, 0,  "37"},
	{  88, CHTYPE_GROUND, 0,  "38"}, {  89, CHTYPE_GROUND, 0,  "39"},
	{  90, CHTYPE_GROUND, 0,  "40"}, {  91, CHTYPE_GROUND, 0,  "41"},
	{  92, CHTYPE_GROUND, 0,  "42"}, {  93, CHTYPE_GROUND, 0,  "43"},
	{  94, CHTYPE_GROUND, 0,  "44"}, {  95, CHTYPE_GROUND, 0,  "45"},
	{  96, CHTYPE_GROUND, 0,  "46"}, {  97, CHTYPE_GROUND, 0,  "47"},
	{  98, CHTYPE_GROUND, 0,  "48"}, {  99, CHTYPE_GROUND, 0,  "49"},
	{ 100, CHTYPE_GROUND, 0,  "50"}, { 101, CHTYPE_GROUND, 0,  "51"},
	{ 102, CHTYPE_GROUND, 0,  "52"}, { 103, CHTYPE_GROUND, 0,  "53"},
	{ 104, CHTYPE_GROUND, 0,  "54"}, { 105, CHTYPE_GROUND, 0,  "55"},
	{ 106, CHTYPE_GROUND, 0,  "56"}, { 107, CHTYPE_GROUND, 0,  "57"},
	{ 108, CHTYPE_GROUND, 0,  "58"}, { 109, CHTYPE_GROUND, 0,  "59"},
	{ 110, CHTYPE_GROUND, 0,  "60"}, { 111, CHTYPE_GROUND, 0,  "61"},
	{ 112, CHTYPE_GROUND, 0,  "62"},
	{ 0, 0, 0, NULL} /* terminator */
};

#endif
